| Version: 3.0.4

Public Member Functions | List of all members
wxStdInputStreamBuffer Class Reference
Class List by Category » Streams

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/stdstream.h>`

Inheritance diagram for wxStdInputStreamBuffer:
[legend]

## Detailed Description

wxStdInputStreamBuffer is a std::streambuf derived stream buffer which reads from a wxInputStream.

Example:

wxFFileInputStream file("input.txt.gz");
wxZlibInputStream gzipInput(file, wxZLIB_GZIP);
wxStdInputStreamBuffer gzipStreamBuffer(gzipInput);
// redirect std::cin to read from compressed file
std::streambuf* streamBufferOld = std::cin.rdbuf(&gzipStreamBuffer);
// prompt for integer
int number;
std::cout << "Enter an integer: " << std::flush;
std::cin >> number;
std::cout << std::endl;
std::cout << "You entered the integer " << number << "." << std::endl;
// restore std::cin
std::cin.rdbuf(streamBufferOld);

##

Library: wxBase

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxInputStream, wxStdInputStream

## Public Member Functions
| wxStdInputStreamBuffer (wxInputStream &stream)
| Creates a std::steambuf derived stream buffer which reads from a wxInputStream. More...
virtual | ~wxStdInputStreamBuffer ()
| Destructor. More...

## Constructor & Destructor Documentation

## ◆ wxStdInputStreamBuffer()

wxStdInputStreamBuffer::wxStdInputStreamBuffer | ( | wxInputStream & | stream | ) |

Creates a std::steambuf derived stream buffer which reads from a wxInputStream.

Parameters

  stream | Stream to read from.

## ◆ ~wxStdInputStreamBuffer()

virtual wxStdInputStreamBuffer::~wxStdInputStreamBuffer | ( |  | ) |
| inline virtual

Destructor.